# Onboarding - Web Crawling

Onboarding refers to the process of bringing a new merchant or business onto a payment processing platform or network. It typically involves gathering information about the merchant such as Business name, Client type, Entity type, Address, Bank details and so on. With the help of onboarding, we can conclude whether the merchants are legitimate, financially stable, and pose an acceptable level of risk to the payment platform.

`POST` `https://secctrl.tutelar.io/api/v1/onboarding-protect/web-crawling`

## Post parameters description is given below

| Parameter             | Type    | Is Mandatory | Description                                                                                                                         |
| --------------------- | ------- | ------------ | ----------------------------------------------------------------------------------------------------------------------------------- |
| merchant\_ref\_id     | String  | Yes          | It should be unique. It helps to identify the new merchant that comes from which client.                                            |
| email                 | String  | Yes          | It provides the response of the individuals official email id or the entities email ID legally involved                             |
| phone                 | String  | Yes          | It provides the response of the individuals official phone number or the entities                                                   |
| name                  | String  | Yes          |                                                                                                                                     |
| reseller\_trade\_name | String  | No           |                                                                                                                                     |
| entity\_type          | Object  | Yes          |                                                                                                                                     |
| client\_type          | Object  | No           |                                                                                                                                     |
| business              | Object  | Optional     | <p>Except <code>Website\_url</code> and <code>address</code>.<br>If field verification is purchased, address field is mandatory</p> |
| is\_field\_verify     | Boolean | Optional     |                                                                                                                                     |
| crawling              | Object  | Yes          |                                                                                                                                     |
| mcc                   | Object  | Yes          |                                                                                                                                     |
| source\_from          | String  | Yes          | It can contain one of the following values: **APP**, **DIRECT**, **WEBSITE**, or **RESELLER**.                                      |

## Sample Post Parameters

```json
{
  "merchant_ref_id": "TUTMALA00007",
  "source_from": "RESELLER",
  "email": "gowtham@gmail.com",
  "phone": "8710308721",
  "name": "Gowtham",
  "reseller_ref_id": "RESTUT01",
  "client_type": {
    "code": "O96ty9TSb",
    "name": "Airlines"
  },
  "entity_type": {
    "code": "Vmtpxzpct",
    "name": "Public Limited"
  },
  "business": {
    "name": "Tutelar",
    "trade_name": "Fintech",
    "date_of_registration": "11-12-1999",
    "website_url": "https://docs.tutelar.io/",
    "address": "CHENNAI",
    "authorized": [
      {
        "name": "Rohit Sharma",
        "authorizer_type": "signatory",
        "panNumber": "CWKMR2647X",
        "dateOfBirth": "02-12-2000",
        "fathersName": "Siva Raj",
        "address": "11/116, Anna Nagar, Mumbai",
        "kycType": {
          "name": "Aadhaar Card",
          "code": "ind_aadhaar"
        },
        "kycNumber": "345644563456"
      },
      {
        "name": "Amit Verma",
        "authorizer_type": "director"
      },
      {
        "name": "Neha Kapoor",
        "authorizer_type": "signatory_director"
      }
    ]
  },
  "mcc": {
    "mcc_id": "2zYroPJ75",
    "mcc_code": "1520",
    "mcc_desc": "General Contractors – Residential and Commercial",
    "risk_type": "low"
  },
  "crawling": {
    "is_checked": true,
    "type": "basic"
  },
  "is_field_verify": false
}
```

## Responses

### 200: Success Response

```json
{
  "success": true,
  "message": "Merchant created successfully",
  "data": {
    "merchant_ref_id": "TUTMALA00007",
    "email": "gowtham@gmail.com",
    "phone": "8710308721",
    "name": "Gowtham",
    "reseller_trade_name": "Deepak Trade",
    "client_type": {
      "code": "O96ty9TSb",
      "name": "Airlines"
    },
    "entity_type": {
      "code": "Vmtpxzpct",
      "name": "Public Limited"
    },
    "business": {
      "name": "Tutelar",
      "trade_name": "Fintech",
      "website_url": "https://docs.tutelar.io/",
      "address": "CHENNAI"
    },
    "mcc": {
      "mcc_id": "2zYroPJ75",
      "mcc_code": "1520",
      "mcc_desc": "General Contractors – Residential and Commercial",
      "risk_type": "low"
    },
    "is_field_verify": true
  }
}
```

### 401: Permission denied

```json
{
  "message": "Invalid authentication credentials"
}
```

### Failure Response

```json
{
  "success": false,
  "message": "Web Crawling product not subscribed!",
  "code": "failure"
}
```

```json
{
  "success": false,
  "message": "Merchant reference id already exist",
  "code": "failure"
}
```

```json
{
  "success": false,
  "message": "Website url should not be empty",
  "code": "failure"
}
```

```json
{
  "success": false,
  "message": "Trade Name should not be empty",
  "code": "failure"
}
```

```json
{
  "success": false,
  "message": "Crawling type should not be empty/invalid",
  "code": "failure"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/onboarding-web-crawling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
